Subject: Re: Spa day for 2 1/30/23
From: Hannah Salut <[email-masked]>
To: concierge <[email-masked]>
Cc: release <[email-masked]>
Date: Tue, 3 Jan 2023 12:40:24 -0700 (MST)

I left her a detailed VM and requested to give us a callback. 
-Hannah 

From: "concierge" <[email-masked]> 
To: "release" <[email-masked]> 
Sent: Tuesday, January 3, 2023 12:41:58 PM 
Subject: Fwd: Spa day for 2 1/30/23 

Begin forwarded message: 

From: Anne Legendre < [ mailto:[email-masked] | [email-masked] ] > 
Subject: Spa day for 2 1/30/23 
Date: January 3, 2023 at 12:01:16 PM EST 
To: [ mailto:[email-masked] | [email-masked] ] 

Hello 

I'd like to treat my BFF to a spa day for both of us (only a treat if I go too!) on Monday 1/30/23 

What is available that day for massages and facials that day? 

thank you, 

Anne Legendre 
774-225-9370 
" In the end, only three things matter, how much you loved, how gently you lived, and how gracefully you let go of things not meant for you."- Unknown